dm-ioctl.c: Fix an OB1 error when calculating an output buffer size,
that could cause a missing null termininator in the 'list devices'
ioctl results.  [Steffan Paletta]
--- diff/drivers/md/dm-ioctl.c	2004-05-09 21:32:26.000000000 -0500
+++ source/drivers/md/dm-ioctl.c	2004-05-19 12:17:11.000000000 -0500
@@ -377,7 +377,7 @@
 	for (i = 0; i < NUM_BUCKETS; i++) {
 		list_for_each_entry (hc, _name_buckets + i, name_list) {
 			needed += sizeof(struct dm_name_list);
-			needed += strlen(hc->name);
+			needed += strlen(hc->name) + 1;
 			needed += ALIGN_MASK;
 		}
 	}
